import unittest
from division import divide

class DivisionTests(unittest.TestCase):

    def test_postivie_int_division(self):
        self.assertEqual(divide(50, 5), 10)
        self.assertEqual(divide(9, 3), 3)

    def test_negative_int_division(self):
        self.assertEqual(divide(-28, -2), 14)
        self.assertEqual(divide(-44, -11), 4)

    def test_division_by_zero(self):
        self.assertEqual(divide(15, 0), None)

if __name__ == "__main__":
    unittest.main()
